Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class PreferenceDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.apache.batik.apps.svgbrowser.PreferenceDialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants, GridBagConstants

    public class PreferenceDialog

extends JDialog
implements GridBagConstants

Dialog that displays user preferences.

See Also:
  Serialized Form

Nested Class Summary
`protected class` | `PreferenceDialog.JConfigurationPanel` A paged panel for configuration windows.

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected JComboBox` | `allowedResourceOrigin`
`protected JComboBox` | `allowedScriptOrigin`
`protected JRadioButton` | `animationLimitCPU`
`protected JTextField` | `animationLimitCPUAmount`
`protected JLabel` | `animationLimitCPULabel`
`protected JRadioButton` | `animationLimitFPS`
`protected JTextField` | `animationLimitFPSAmount`
`protected JLabel` | `animationLimitFPSLabel`
`protected JRadioButton` | `animationLimitUnlimited`
`protected JCheckBox` | `autoAdjustWindow`
`static int` | `CANCEL_OPTION` The return value if 'Cancel' is chosen.
`protected PreferenceDialog.JConfigurationPanel` | `configurationPanel` The configuration panel that holds each of the configuration pages.
`protected JCheckBox` | `enableDoubleBuffering`
`protected JCheckBox` | `enforceSecureScripting`
`protected JCheckBox` | `grantScriptFileAccess`
`protected JCheckBox` | `grantScriptNetworkAccess`
`protected JTextField` | `host`
`protected JCheckBox` | `isXMLParserValidating`
`static String` | `LABEL_CANCEL`
`static String` | `LABEL_OK`
`protected LanguageDialog.Panel` | `languagePanel`
`protected JCheckBox` | `loadEcmascript`
`protected JCheckBox` | `loadJava`
`protected JList` | `mediaList`
`protected JButton` | `mediaListClearButton`
`protected DefaultListModel` | `mediaListModel`
`protected JButton` | `mediaListRemoveButton`
`protected PreferenceManager` | `model` `PreferenceManager` used to store and retrieve preferences
`static int` | `OK_OPTION` The return value if 'OK' is chosen.
`protected JTextField` | `port`
`static String` | `PREFERENCE_KEY_ALLOWED_EXTERNAL_RESOURCE_ORIGIN`
`static String` | `PREFERENCE_KEY_ALLOWED_SCRIPT_ORIGIN`
`static String` | `PREFERENCE_KEY_ANIMATION_RATE_LIMITING_CPU`
`static String` | `PREFERENCE_KEY_ANIMATION_RATE_LIMITING_FPS`
`static String` | `PREFERENCE_KEY_ANIMATION_RATE_LIMITING_MODE`
`static String` | `PREFERENCE_KEY_AUTO_ADJUST_WINDOW`
`static String` | `PREFERENCE_KEY_BROWSE_TITLE`
`static String` | `PREFERENCE_KEY_CSS_MEDIA`
`static String` | `PREFERENCE_KEY_DEFAULT_FONT_FAMILY`
`static String` | `PREFERENCE_KEY_ENABLE_DOUBLE_BUFFERING`
`static String` | `PREFERENCE_KEY_ENFORCE_SECURE_SCRIPTING`
`static String` | `PREFERENCE_KEY_GRANT_SCRIPT_FILE_ACCESS`
`static String` | `PREFERENCE_KEY_GRANT_SCRIPT_NETWORK_ACCESS`
`static String` | `PREFERENCE_KEY_IS_XML_PARSER_VALIDATING`
`static String` | `PREFERENCE_KEY_LABEL_ADD`
`static String` | `PREFERENCE_KEY_LABEL_ALL_NETWORK`
`static String` | `PREFERENCE_KEY_LABEL_ALLOWED_RESOURCE_ORIGIN`
`static String` | `PREFERENCE_KEY_LABEL_ALLOWED_SCRIPT_ORIGIN`
`static String` | `PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_CPU`
`static String` | `PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_FPS`
`static String` | `PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_UNLIMITED`
`static String` | `PREFERENCE_KEY_LABEL_ANIMATION_RATE_LIMITING`
`static String` | `PREFERENCE_KEY_LABEL_AUTO_ADJUST_WINDOW`
`static String` | `PREFERENCE_KEY_LABEL_BROWSE`
`static String` | `PREFERENCE_KEY_LABEL_CLEAR`
`static String` | `PREFERENCE_KEY_LABEL_COLON`
`static String` | `PREFERENCE_KEY_LABEL_CSS_MEDIA_TYPES`
`static String` | `PREFERENCE_KEY_LABEL_ECMASCRIPT`
`static String` | `PREFERENCE_KEY_LABEL_ENABLE_DOUBLE_BUFFERING`
`static String` | `PREFERENCE_KEY_LABEL_ENABLE_USER_STYLESHEET`
`static String` | `PREFERENCE_KEY_LABEL_ENFORCE_SECURE_SCRIPTING`
`static String` | `PREFERENCE_KEY_LABEL_FILE_SYSTEM`
`static String` | `PREFERENCE_KEY_LABEL_FPS`
`static String` | `PREFERENCE_KEY_LABEL_GRANT_SCRIPTS_ACCESS_TO`
`static String` | `PREFERENCE_KEY_LABEL_HOST`
`static String` | `PREFERENCE_KEY_LABEL_HTTP_PROXY`
`static String` | `PREFERENCE_KEY_LABEL_IS_XML_PARSER_VALIDATING`
`static String` | `PREFERENCE_KEY_LABEL_JAVA_JAR_FILES`
`static String` | `PREFERENCE_KEY_LABEL_LOAD_SCRIPTS`
`static String` | `PREFERENCE_KEY_LABEL_ORIGIN_ANY`
`static String` | `PREFERENCE_KEY_LABEL_ORIGIN_DOCUMENT`
`static String` | `PREFERENCE_KEY_LABEL_ORIGIN_EMBEDDED`
`static String` | `PREFERENCE_KEY_LABEL_ORIGIN_NONE`
`static String` | `PREFERENCE_KEY_LABEL_OTHER_OPTIONS`
`static String` | `PREFERENCE_KEY_LABEL_PERCENT`
`static String` | `PREFERENCE_KEY_LABEL_PORT`
`static String` | `PREFERENCE_KEY_LABEL_REMOVE`
`static String` | `PREFERENCE_KEY_LABEL_RENDERING_OPTIONS`
`static String` | `PREFERENCE_KEY_LABEL_SELECTION_XOR_MODE`
`static String` | `PREFERENCE_KEY_LABEL_SHOW_DEBUG_TRACE`
`static String` | `PREFERENCE_KEY_LABEL_SHOW_RENDERING`
`static String` | `PREFERENCE_KEY_LABEL_USER_STYLESHEET`
`static String` | `PREFERENCE_KEY_LANGUAGES`
`static String` | `PREFERENCE_KEY_LOAD_ECMASCRIPT`
`static String` | `PREFERENCE_KEY_LOAD_JAVA`
`static String` | `PREFERENCE_KEY_PROXY_HOST`
`static String` | `PREFERENCE_KEY_PROXY_PORT`
`static String` | `PREFERENCE_KEY_SELECTION_XOR_MODE`
`static String` | `PREFERENCE_KEY_SHOW_DEBUG_TRACE`
`static String` | `PREFERENCE_KEY_SHOW_RENDERING`
`static String` | `PREFERENCE_KEY_TITLE_DIALOG`
`static String` | `PREFERENCE_KEY_TITLE_PREFIX`
`static String` | `PREFERENCE_KEY_USER_STYLESHEET`
`static String` | `PREFERENCE_KEY_USER_STYLESHEET_ENABLED`
`protected int` | `returnCode` Code indicating whether the dialog was okayed or cancelled.
`protected JCheckBox` | `selectionXorMode`
`protected JCheckBox` | `showDebugTrace`
`protected JCheckBox` | `showRendering`
`protected JTextField` | `userStylesheet`
`protected JButton` | `userStylesheetBrowse`
`protected JCheckBox` | `userStylesheetEnabled`
`protected JLabel` | `userStylesheetLabel`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface org.apache.batik.ext.swing.GridBagConstants
`BOTH, CENTER, EAST, HORIZONTAL, NONE, NORTH, NORTHEAST, NORTHWEST, REMAINDER, SOUTH, SOUTHEAST, SOUTHWEST, VERTICAL, WEST`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`PreferenceDialog(Frame owner, PreferenceManager model)` Creates a new PreferenceDialog with the given model.

Method Summary
`protected void` | `addConfigPanel(String id, JPanel c)` Adds a panel to the configuration panel.
`protected JPanel` | `buildButtonsPanel()` Creates the OK/Cancel button panel.
`protected JPanel` | `buildGeneralPanel()` Builds the General panel.
`protected void` | `buildGUI()` Builds the UI for this dialog.
`protected JPanel` | `buildLanguagePanel()` Builds the Language panel.
`protected JPanel` | `buildNetworkPanel()` Builds the Network panel.
`protected JPanel` | `buildSecurityPanel()` Builds the Security panel.
`protected JPanel` | `buildStylesheetPanel()` Builds the Stylesheet panel.
`PreferenceManager` | `getPreferenceManager()` Returns the preference manager used by this dialog.
`protected void` | `initializeGUI()` Initializes the GUI components with the values from the model.
`protected static boolean` | `isMetalSteel()` Returns whether the current LAF is Metal Steel.
`protected void` | `savePreferences()` Stores the current settings in the PreferenceManager model.
`int` | `showDialog()` Shows the dialog.
`protected void` | `updateMediaListButtons()` Updates the disabled state of the buttons next to the media type list.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OK_OPTION

    public static final int OK_OPTION

  The return value if 'OK' is chosen.

  See Also:
    Constant Field Values

### CANCEL_OPTION

    public static final int CANCEL_OPTION

  The return value if 'Cancel' is chosen.

  See Also:
    Constant Field Values

### PREFERENCE_KEY_TITLE_PREFIX

    public static final String PREFERENCE_KEY_TITLE_PREFIX

See Also:
  Constant Field Values

### PREFERENCE_KEY_TITLE_DIALOG

    public static final String PREFERENCE_KEY_TITLE_DIALOG

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_RENDERING_OPTIONS

    public static final String PREFERENCE_KEY_LABEL_RENDERING_OPTIONS

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ANIMATION_RATE_LIMITING

    public static final String PREFERENCE_KEY_LABEL_ANIMATION_RATE_LIMITING

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_OTHER_OPTIONS

    public static final String PREFERENCE_KEY_LABEL_OTHER_OPTIONS

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ENABLE_DOUBLE_BUFFERING

    public static final String PREFERENCE_KEY_LABEL_ENABLE_DOUBLE_BUFFERING

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_SHOW_RENDERING

    public static final String PREFERENCE_KEY_LABEL_SHOW_RENDERING

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_AUTO_ADJUST_WINDOW

    public static final String PREFERENCE_KEY_LABEL_AUTO_ADJUST_WINDOW

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_SELECTION_XOR_MODE

    public static final String PREFERENCE_KEY_LABEL_SELECTION_XOR_MODE

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_CPU

    public static final String PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_CPU

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_PERCENT

    public static final String PREFERENCE_KEY_LABEL_PERCENT

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_FPS

    public static final String PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_FPS

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_FPS

    public static final String PREFERENCE_KEY_LABEL_FPS

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_UNLIMITED

    public static final String PREFERENCE_KEY_LABEL_ANIMATION_LIMIT_UNLIMITED

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_SHOW_DEBUG_TRACE

    public static final String PREFERENCE_KEY_LABEL_SHOW_DEBUG_TRACE

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_IS_XML_PARSER_VALIDATING

    public static final String PREFERENCE_KEY_LABEL_IS_XML_PARSER_VALIDATING

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_GRANT_SCRIPTS_ACCESS_TO

    public static final String PREFERENCE_KEY_LABEL_GRANT_SCRIPTS_ACCESS_TO

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_LOAD_SCRIPTS

    public static final String PREFERENCE_KEY_LABEL_LOAD_SCRIPTS

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ALLOWED_SCRIPT_ORIGIN

    public static final String PREFERENCE_KEY_LABEL_ALLOWED_SCRIPT_ORIGIN

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ALLOWED_RESOURCE_ORIGIN

    public static final String PREFERENCE_KEY_LABEL_ALLOWED_RESOURCE_ORIGIN

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ENFORCE_SECURE_SCRIPTING

    public static final String PREFERENCE_KEY_LABEL_ENFORCE_SECURE_SCRIPTING

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_FILE_SYSTEM

    public static final String PREFERENCE_KEY_LABEL_FILE_SYSTEM

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ALL_NETWORK

    public static final String PREFERENCE_KEY_LABEL_ALL_NETWORK

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_JAVA_JAR_FILES

    public static final String PREFERENCE_KEY_LABEL_JAVA_JAR_FILES

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ECMASCRIPT

    public static final String PREFERENCE_KEY_LABEL_ECMASCRIPT

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ORIGIN_ANY

    public static final String PREFERENCE_KEY_LABEL_ORIGIN_ANY

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ORIGIN_DOCUMENT

    public static final String PREFERENCE_KEY_LABEL_ORIGIN_DOCUMENT

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ORIGIN_EMBEDDED

    public static final String PREFERENCE_KEY_LABEL_ORIGIN_EMBEDDED

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ORIGIN_NONE

    public static final String PREFERENCE_KEY_LABEL_ORIGIN_NONE

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_USER_STYLESHEET

    public static final String PREFERENCE_KEY_LABEL_USER_STYLESHEET

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_CSS_MEDIA_TYPES

    public static final String PREFERENCE_KEY_LABEL_CSS_MEDIA_TYPES

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ENABLE_USER_STYLESHEET

    public static final String PREFERENCE_KEY_LABEL_ENABLE_USER_STYLESHEET

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_BROWSE

    public static final String PREFERENCE_KEY_LABEL_BROWSE

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_ADD

    public static final String PREFERENCE_KEY_LABEL_ADD

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_REMOVE

    public static final String PREFERENCE_KEY_LABEL_REMOVE

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_CLEAR

    public static final String PREFERENCE_KEY_LABEL_CLEAR

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_HTTP_PROXY

    public static final String PREFERENCE_KEY_LABEL_HTTP_PROXY

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_HOST

    public static final String PREFERENCE_KEY_LABEL_HOST

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_PORT

    public static final String PREFERENCE_KEY_LABEL_PORT

See Also:
  Constant Field Values

### PREFERENCE_KEY_LABEL_COLON

    public static final String PREFERENCE_KEY_LABEL_COLON

See Also:
  Constant Field Values

### PREFERENCE_KEY_BROWSE_TITLE

    public static final String PREFERENCE_KEY_BROWSE_TITLE

See Also:
  Constant Field Values

### PREFERENCE_KEY_LANGUAGES

    public static final String PREFERENCE_KEY_LANGUAGES

See Also:
  Constant Field Values

### PREFERENCE_KEY_IS_XML_PARSER_VALIDATING

    public static final String PREFERENCE_KEY_IS_XML_PARSER_VALIDATING

See Also:
  Constant Field Values

### PREFERENCE_KEY_USER_STYLESHEET

    public static final String PREFERENCE_KEY_USER_STYLESHEET

See Also:
  Constant Field Values

### PREFERENCE_KEY_USER_STYLESHEET_ENABLED

    public static final String PREFERENCE_KEY_USER_STYLESHEET_ENABLED

See Also:
  Constant Field Values

### PREFERENCE_KEY_SHOW_RENDERING

    public static final String PREFERENCE_KEY_SHOW_RENDERING

See Also:
  Constant Field Values

### PREFERENCE_KEY_AUTO_ADJUST_WINDOW

    public static final String PREFERENCE_KEY_AUTO_ADJUST_WINDOW

See Also:
  Constant Field Values

### PREFERENCE_KEY_ENABLE_DOUBLE_BUFFERING

    public static final String PREFERENCE_KEY_ENABLE_DOUBLE_BUFFERING

See Also:
  Constant Field Values

### PREFERENCE_KEY_SHOW_DEBUG_TRACE

    public static final String PREFERENCE_KEY_SHOW_DEBUG_TRACE

See Also:
  Constant Field Values

### PREFERENCE_KEY_SELECTION_XOR_MODE

    public static final String PREFERENCE_KEY_SELECTION_XOR_MODE

See Also:
  Constant Field Values

### PREFERENCE_KEY_PROXY_HOST

    public static final String PREFERENCE_KEY_PROXY_HOST

See Also:
  Constant Field Values

### PREFERENCE_KEY_CSS_MEDIA

    public static final String PREFERENCE_KEY_CSS_MEDIA

See Also:
  Constant Field Values

### PREFERENCE_KEY_DEFAULT_FONT_FAMILY

    public static final String PREFERENCE_KEY_DEFAULT_FONT_FAMILY

See Also:
  Constant Field Values

### PREFERENCE_KEY_PROXY_PORT

    public static final String PREFERENCE_KEY_PROXY_PORT

See Also:
  Constant Field Values

### PREFERENCE_KEY_ENFORCE_SECURE_SCRIPTING

    public static final String PREFERENCE_KEY_ENFORCE_SECURE_SCRIPTING

See Also:
  Constant Field Values

### PREFERENCE_KEY_GRANT_SCRIPT_FILE_ACCESS

    public static final String PREFERENCE_KEY_GRANT_SCRIPT_FILE_ACCESS

See Also:
  Constant Field Values

### PREFERENCE_KEY_GRANT_SCRIPT_NETWORK_ACCESS

    public static final String PREFERENCE_KEY_GRANT_SCRIPT_NETWORK_ACCESS

See Also:
  Constant Field Values

### PREFERENCE_KEY_LOAD_ECMASCRIPT

    public static final String PREFERENCE_KEY_LOAD_ECMASCRIPT

See Also:
  Constant Field Values

### PREFERENCE_KEY_LOAD_JAVA

    public static final String PREFERENCE_KEY_LOAD_JAVA

See Also:
  Constant Field Values

### PREFERENCE_KEY_ALLOWED_SCRIPT_ORIGIN

    public static final String PREFERENCE_KEY_ALLOWED_SCRIPT_ORIGIN

See Also:
  Constant Field Values

### PREFERENCE_KEY_ALLOWED_EXTERNAL_RESOURCE_ORIGIN

    public static final String PREFERENCE_KEY_ALLOWED_EXTERNAL_RESOURCE_ORIGIN

See Also:
  Constant Field Values

### PREFERENCE_KEY_ANIMATION_RATE_LIMITING_MODE

    public static final String PREFERENCE_KEY_ANIMATION_RATE_LIMITING_MODE

See Also:
  Constant Field Values

### PREFERENCE_KEY_ANIMATION_RATE_LIMITING_CPU

    public static final String PREFERENCE_KEY_ANIMATION_RATE_LIMITING_CPU

See Also:
  Constant Field Values

### PREFERENCE_KEY_ANIMATION_RATE_LIMITING_FPS

    public static final String PREFERENCE_KEY_ANIMATION_RATE_LIMITING_FPS

See Also:
  Constant Field Values

### LABEL_OK

    public static final String LABEL_OK

See Also:
  Constant Field Values

### LABEL_CANCEL

    public static final String LABEL_CANCEL

See Also:
  Constant Field Values

### model

    protected PreferenceManager model

  `PreferenceManager` used to store and retrieve preferences

### configurationPanel

    protected PreferenceDialog.JConfigurationPanel configurationPanel

  The configuration panel that holds each of the configuration pages.

### userStylesheetEnabled

    protected JCheckBox userStylesheetEnabled

### userStylesheetLabel

    protected JLabel userStylesheetLabel

### userStylesheet

    protected JTextField userStylesheet

### userStylesheetBrowse

    protected JButton userStylesheetBrowse

### showRendering

    protected JCheckBox showRendering

### autoAdjustWindow

    protected JCheckBox autoAdjustWindow

### enableDoubleBuffering

    protected JCheckBox enableDoubleBuffering

### showDebugTrace

    protected JCheckBox showDebugTrace

### selectionXorMode

    protected JCheckBox selectionXorMode

### isXMLParserValidating

    protected JCheckBox isXMLParserValidating

### animationLimitUnlimited

    protected JRadioButton animationLimitUnlimited

### animationLimitCPU

    protected JRadioButton animationLimitCPU

### animationLimitFPS

    protected JRadioButton animationLimitFPS

### animationLimitCPULabel

    protected JLabel animationLimitCPULabel

### animationLimitFPSLabel

    protected JLabel animationLimitFPSLabel

### animationLimitCPUAmount

    protected JTextField animationLimitCPUAmount

### animationLimitFPSAmount

    protected JTextField animationLimitFPSAmount

### enforceSecureScripting

    protected JCheckBox enforceSecureScripting

### grantScriptFileAccess

    protected JCheckBox grantScriptFileAccess

### grantScriptNetworkAccess

    protected JCheckBox grantScriptNetworkAccess

### loadJava

    protected JCheckBox loadJava

### loadEcmascript

    protected JCheckBox loadEcmascript

### allowedScriptOrigin

    protected JComboBox allowedScriptOrigin

### allowedResourceOrigin

    protected JComboBox allowedResourceOrigin

### mediaList

    protected JList mediaList

### mediaListRemoveButton

    protected JButton mediaListRemoveButton

### mediaListClearButton

    protected JButton mediaListClearButton

### host

    protected JTextField host

### port

    protected JTextField port

### languagePanel

    protected LanguageDialog.Panel languagePanel

### mediaListModel

    protected DefaultListModel mediaListModel

### returnCode

    protected int returnCode

  Code indicating whether the dialog was okayed or cancelled.

Constructor Detail

### PreferenceDialog

    public PreferenceDialog(Frame owner,
                            PreferenceManager model)

  Creates a new PreferenceDialog with the given model.

Method Detail

### isMetalSteel

    protected static boolean isMetalSteel()

  Returns whether the current LAF is Metal Steel.

### getPreferenceManager

    public PreferenceManager getPreferenceManager()

  Returns the preference manager used by this dialog.

### initializeGUI

    protected void initializeGUI()

  Initializes the GUI components with the values from the model.

### savePreferences

    protected void savePreferences()

  Stores the current settings in the PreferenceManager model.

### buildGUI

    protected void buildGUI()

  Builds the UI for this dialog.

### addConfigPanel

    protected void addConfigPanel(String id,
                                  JPanel c)

  Adds a panel to the configuration panel.

### buildButtonsPanel

    protected JPanel buildButtonsPanel()

  Creates the OK/Cancel button panel.

### buildGeneralPanel

    protected JPanel buildGeneralPanel()

  Builds the General panel.

### buildSecurityPanel

    protected JPanel buildSecurityPanel()

  Builds the Security panel.

### buildLanguagePanel

    protected JPanel buildLanguagePanel()

  Builds the Language panel.

### buildStylesheetPanel

    protected JPanel buildStylesheetPanel()

  Builds the Stylesheet panel.

### updateMediaListButtons

    protected void updateMediaListButtons()

  Updates the disabled state of the buttons next to the media type list.

### buildNetworkPanel

    protected JPanel buildNetworkPanel()

  Builds the Network panel.

### showDialog

    public int showDialog()

  Shows the dialog.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.